//
//
//
export class GUI
{
    //------------------------------------------------------------------------//
    // Private                                                                //
    //------------------------------------------------------------------------//
    //--------------------------------------------------------------------------
    static _dat = null;

    //------------------------------------------------------------------------//
    // Lifecycle                                                              //
    //------------------------------------------------------------------------//
    //--------------------------------------------------------------------------
    static init()
    {
        // Create the GUI.
        _dat = new dat.GUI();
        GUI._dat = _dat;
    }

    static dat() {
        return _dat;
    }
}



//------------------------------------------------------------------------------
// @notice(stdmatt): [Shorthand to access dat.gui internally] - 14 Dec, 2021 at 07:20:47
let _dat = null;
